Package com.fasterxml.jackson.dataformat.xml

## Class XmlTypeResolverBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder
  - - com.fasterxml.jackson.dataformat.xml.XmlTypeResolverBuilder

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`

    public class XmlTypeResolverBuilder
    extends com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

Custom specialization of `StdTypeResolverBuilder`; needed so that type id property name can be modified as necessary to make it legal XML element or attribute name.

### Nested Class Summary

Nested Classes
`protected static class` `XmlTypeResolverBuilder.XmlClassNameIdResolver`
`protected static class` `XmlTypeResolverBuilder.XmlMinimalClassNameIdResolver`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

`_customIdResolver, _defaultImpl, _idType, _includeAs, _typeIdVisible, _typeProperty`

### Constructor Summary

Constructors
`XmlTypeResolverBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static java.lang.String` `decodeXmlClassName​(java.lang.String className)` Helper method for decoding "XML safe" Java class name back into actual class name
`protected static java.lang.String` `encodeXmlClassName​(java.lang.String className)` Helper method for encoding regular Java class name in form that can be used as XML element name.
`protected com.fasterxml.jackson.databind.jsontype.TypeIdResolver` `idResolver​(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config, com.fasterxml.jackson.databind.JavaType baseType, com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator subtypeValidator, java.util.Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes, boolean forSer, boolean forDeser)`
`com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder` `init​(com.fasterxml.jackson.annotation.JsonTypeInfo.Id idType, com.fasterxml.jackson.databind.jsontype.TypeIdResolver idRes)`
`com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder` `typeProperty​(java.lang.String typeIdPropName)`

### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

`buildTypeDeserializer, buildTypeSerializer, defaultImpl, defineDefaultImpl, getDefaultImpl, getTypeProperty, inclusion, isTypeIdVisible, noTypeInfoBuilder, reportInvalidBaseType, subTypeValidator, typeIdVisibility, verifyBaseTypeValidity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlTypeResolverBuilder

    public XmlTypeResolverBuilder()

### Method Detail

#### init

    public com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder init​(com.fasterxml.jackson.annotation.JsonTypeInfo.Id idType,
                                                                                    com.fasterxml.jackson.databind.jsontype.TypeIdResolver idRes)

Specified by:
  `init` in interface `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
Overrides:
  `init` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

#### typeProperty

    public com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder typeProperty​(java.lang.String typeIdPropName)

Specified by:
  `typeProperty` in interface `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
Overrides:
  `typeProperty` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

#### idResolver

    protected com.fasterxml.jackson.databind.jsontype.TypeIdResolver idResolver​(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config,
                                                                                com.fasterxml.jackson.databind.JavaType baseType,
                                                                                com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator subtypeValidator,
                                                                                java.util.Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes,
                                                                                boolean forSer,
                                                                                boolean forDeser)

Overrides:
  `idResolver` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

#### encodeXmlClassName

    protected static java.lang.String encodeXmlClassName​(java.lang.String className)

Helper method for encoding regular Java class name in form that can be used as XML element name.

#### decodeXmlClassName

    protected static java.lang.String decodeXmlClassName​(java.lang.String className)

Helper method for decoding "XML safe" Java class name back into actual class name